<?
$uri_path = preg_replace(array("(^$base_path)",'(/$)'), '', $_SERVER['REQUEST_URI']);
// Split up the remaining URI into an array, using '/' as delimiter.
if (strpos($uri_path,'?') > 0) {
  $uri_path = substr($uri_path,0,strpos($uri_path,'?'));
}
$uri_parts = explode('/', $uri_path);
// If the first part is empty, label both id and class 'main'.
if ($uri_parts[0] == '') {
  $body_id = 'front';
  $body_class = 'front';
} else {
  // Construct the id name from the full URI, replacing slashes with dashes.
  $body_id = str_replace('/','-', $uri_path);
  // Construct the class name from the first part of the URI only.
  $body_class = $uri_parts[0];
}
?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?php print $language ?>" xml:lang="<?php print $language ?>">
  <head>
    <title><?php print $head_title ?></title>
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <?php print $head ?>
    <?php print $styles ?>
  </head>
  <body class="<?php print($body_class)?>" id="<?php print($body_id)?>" <?php print theme("onload_attribute");?>>
    <div id="container">
      <div id="header">
        <div id="logo"><? print l('<img src="'.$logo.'" border="0" alt="Logo" />', '', NULL, NULL, NULL, NULL, TRUE); ?></div>
      </div>
      <div class="navigation" id="primary-nav"><?php if (count($primary_links)) : ?><ul id="primary"><?php foreach ($primary_links as $link): ?><li><?php print l($link['#title'], $link['#href']); ?></li><?php endforeach; ?></ul><?php endif; ?></div>
      <div id="main">
        <?php if ($sidebar_left != ""): ?><div class="sidebar" id="sidebar-left"><?php print $sidebar_left ?></div><?php endif; ?>
        <div class="main-content" id="content-<?php print $layout ?>">
        	<?php if ($title != ""): ?><h2 class="content-title"><?php print $title ?></h2><?php endif; ?>
          <?php if ($tabs != ""): ?><?php print $tabs ?><?php endif; ?>
          <?php if ($mission != ""): ?><div id="mission"><?php print $mission ?></div><?php endif; ?>
          <?php if ($help != ""): ?><p id="help"><?php print $help ?></p><?php endif; ?>
          <?php if ($messages != ""): ?><div id="message"><?php print $messages ?></div><?php endif; ?>
          <!-- start main content -->
          <?php print($content) ?>
          <!-- end main content -->
          <?php print $breadcrumb ?>
        </div>
        <?php if ($sidebar_right != ""): ?><div class="sidebar" id="sidebar-right"><?php print $sidebar_right ?></div><?php endif; ?>
      </div>
      <div class="navigation" id="secondary-nav"><?php if (count($secondary_links)) : ?><ul id="secondary"><?php foreach ($secondary_links as $link): ?><li><?php print l($link['#title'], $link['#href']); ?></li><?php endforeach; ?></ul><?php endif; ?></div>
    </div>
    <div id="footer"><?php print $footer_message;?></div>
    <?php print $closure ?>
  </body>
</html>
